Debian lenny zu squeeze update – Problem mit package firmware-bnx2

 

Heute stand mal wieder eine schöne Nachtschicht an. Der letzte unserer Server sollte von Debian lenny zu squeeze aktualisiert werden. Leider lief es dieses mal alles andere als rund. Nachdem wir schon einige Fehlermeldungen vom GRUB loader bekommen haben, schlich sich irgendwo in den endlosen Zeilen eines apt-get dist-upgrade folgende Meldung ein:

„W: Possible missing firmware /lib/firmware/bnx2-09-4.0.5.fw for module bnx2“

Wir haben es zwar registriert aber nachdem niemand etwas mit dem Packagenamen anfangen konnte, ging die Meldung quasi unbemerkt unter. Ein Warning mit „possible“ im Satz interessiert auch nicht wirklich bei der Vielzahl von Warnings bei einem dist-upgrade.

Dass es sich dabei um eine Firmware für die Netwerkkarte Broadcom NetXtreme II handelt ist dann doch eine eher wichtige Info wie wir nach dem Reboot des Servers feststellen konnten. Der Reboot wurde nämlich einfach nicht ausgeführt. Das System war tot.

Die Lösung des ganzen ist so ekelhaft simpel, dass ich es bereuhe nicht vor dem Reboot die Jungs von Google interviewt zu haben. Ein simples

apt-get install firmware-bnx2

hätte uns eine mittlerweile 6 Stunden andauernde Nachtschicht erspart.

 

Schreibe einen Kommentar